Get CloudFormation template
curl --request GET \
--url https://{region}.api.plerion.com/v1/tenant/cloudformation-templates \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.api.plerion.com/v1/tenant/cloudformation-templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.api.plerion.com/v1/tenant/cloudformation-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"templateURL": "https://pl-ap-southeast-2-prod-static-policy-bucket.s3.ap-southeast-2.amazonaws.com/templates/aws-account-automated/v12/cloudformation.yaml",
"templateVersion": "v12"
}
}{
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"message": "Forbidden"
}{
"message": "Internal server error"
}Get CloudFormation template
Use the API to get the CloudFormation template required for creating / updating AWS integrations in Plerion.
curl https://au.api.plerion.com/v1/tenant/cloudformation-templates?type=AWSAccount -H "Authorization: Bearer $PLERION_API_KEY"
GET
/
v1
/
tenant
/
cloudformation-templates
Get CloudFormation template
Authorizations
Bearer API Key. For example, "Bearer {Tenant API Key}"
Headers
Bearer API Key. For example, "Bearer {Tenant API Key}"
Query Parameters
The type of integration for which the CloudFormation template is required
Available options:
AWSAccount Example:
"AWSAccount"
Response
CloudFormation Template
Show child attributes
Show child attributes
Was this page helpful?
⌘I